#!/bin/bash
#/usr/bin/clamdscan --remove --quiet --no-summary "$1"

CLAMLOC='/usr/bin/clamscan';

if [ ! -x $CLAMLOC ]; then
        echo 'clamscan no encontrado';
        exit;
fi
if [ "$1" = "" ]; then
	echo 'La variable esta en blanco';
	exit;
fi
if [ ! -f "$1" ]; then
	echo "$1 fichero no encontrado"
	exit;
fi
EMAIL="enoel@cadeca.co.cu"
# maybe you would prefer --move=/DIRECTORY instead of remove
$CLAMLOC --remove $1 2>/dev/null | grep "FOUND"
if [ "$?" == "0" ]; then
        echo "Fichero $1 subido por $UPLOAD_USER, este fichero tiene un tamaño de $UPLOAD_SIZE bytes." | mail -s "[$(hostname)] Se ha subido un fichero malicioso al FTP." $EMAIL
fi
